unit MyRegistryRead;

interface

uses
  Windows, Messages, SysUtils, Classes,Registry;

type
  TMyRegistryRead = class(TComponent)
  private
    FkeyPath:string;
    Fkeyname:string;
    { Private declarations }
  protected
    { Protected declarations }
  public
    Function Getkey:string;
    { Public declarations }
  published
    Property Keypath:string read FkeyPath write Fkeypath;
    Property Keyname:string read Fkeyname write Fkeyname;
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('MyRegistry', [TMyRegistryRead]);
end;

Function TMyRegistryRead.Getkey:string;
var
  myRegistry:TRegistry;
  str:string;
begin
  myRegistry:=TRegistry.Create();
  myRegistry.RootKey:=HKEY_CURRENT_USER;
  myRegistry.OpenKey(FkeyPath,True);
  str:=myRegistry.ReadString(Fkeyname);
  myRegistry.Free;
  Result:=str;
end;
end.
